> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elementum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a group by ID



## OpenAPI

````yaml get /groups/{groupId}
openapi: 3.0.1
info:
  title: Elementum API
  description: ''
  contact:
    email: apiteam@elementum.io
  version: 0.0.1
servers:
  - url: /v1
security: []
tags:
  - name: Access Token
    description: Manage access tokens using OAuth 2.0 standards
  - name: Records
    description: Manage your records
  - name: Related-items
    description: Manage the related items of a record
  - name: Attachments
    description: Manage the attachments of a record
  - name: Watchers
    description: Manage the watchers of a record
  - name: Comments
    description: Manage the conversation of a record
  - name: Users
    description: Manage users in your organization
  - name: Groups
    description: Manage groups and group membership
externalDocs:
  description: Find out more about Elementum
  url: https://www.elementum.com/
paths:
  /groups/{groupId}:
    get:
      tags:
        - Groups
      summary: Get a group by ID
      operationId: getGroup
      parameters:
        - $ref: '#/components/parameters/groupId'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Group'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ClientCredentials: []
components:
  parameters:
    groupId:
      name: groupId
      in: path
      description: The group ID
      required: true
      schema:
        type: string
  schemas:
    Group:
      type: object
      properties:
        id:
          type: string
          description: The group ID
        name:
          type: string
          description: The group name
        description:
          type: string
          description: The group description
        createdAt:
          type: string
          description: When the group was created
          format: date-time
      example:
        id: g-101
        name: Supply Chain Team
        description: Members of the supply chain management team
        createdAt: '2025-06-01T09:00:00Z'
  responses:
    '400':
      description: Bad Request
    '401':
      description: Unauthorized
    '403':
      description: Forbidden
    '404':
      description: Not Found
    '429':
      description: Too Many Requests
    '500':
      description: Internal Server Error
  securitySchemes:
    ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes: {}

````